\eqEXt\exerSolnHeader{Solutions to Exercises}{ex.1}{\textbf{Exercise\ 1.}}\relax
We evaluate by \texttt{integration by parts}:\normalsize
\begin{alignat*}{2}
 \int x^2 e^{2x}\,dx &
   = \tfrac12 x^2 e^{2x} - \int x e^{2x}\,dx &&\quad
           \text{$u=x^2$, $dv=e^{2x}\,dx$}\\&
   = \tfrac12 x^2 e^{2x} -
           \Bigl[\tfrac12 x e^{2x}-\int \tfrac12 e^{2x}\,dx\Bigr] &&\quad
           \text{integration by parts}\\&
   = \tfrac12 x^2 e^{2x} - \tfrac12 x e^{2x} + \tfrac12\int e^{2x}\,dx &&\quad
           \text{$u=x^2$, $dv=e^{2x}\,dx$}\\&
   = \tfrac12 x^2 e^{2x} - \tfrac12 x e^{2x} + \tfrac14 e^{2x} &&\quad
           \text{integration by parts}\\&
   = \tfrac14(2x^2-2x+1)e^{2x} &&\quad
           \text{simplify!}
\end{alignat*}
\ReturnTo{qex.1}{\hbox {Exercise\ 1}}\endeqEXt
 
\eqEXt\exerSolnHeader{Solutions to Problems}{ex.2}{\textbf {Problem\ 2.1.}}\relax
The answer is yes. The definition states that $F$ is an
antiderivative of $f$ if $F'(x)=f(x)$.  Note that
$$
       F(t)=\sin(t) \implies F'(t) = \cos(t)
$$
hence, $F(x) = \cos(x) = f(x)$.
\ReturnTo{qex.2}{\hbox {$\blacktriangleleft $}}\endeqEXt
 
\eqEXt\exerSolnHeader{Solutions to Problems}{ex.3}{\textbf {Problem\ 2.2.}}\relax
The answer is yes. The definition states that $F$ is an
antiderivative of $f$ if $F'(x)=f(x)$.  Note that
$$
       F(t)=\sin(t) \implies F'(t) = \cos(t)
$$
hence, $F(x) = \cos(x) = f(x)$.
\ReturnTo{qex.3}{\hbox {$\blacktriangleleft $}}\endeqEXt
 
\eqEXt\exerSolnHeader{Solutions to Exercises}{ex.5b}{\textbf{Exercise\ 2(b)}}\relax 
Acceleration is the rate of change of velocity with respect to time.
Thus,
$$
                    a = \frac{dv}{dt}
$$
For our problem, we have
$$
        a = \frac{dv}{dt} =\frac d{dt}(2t-5)=2.
$$
The acceleration at time $t$ is constant: $\boxed{a=2}$.
\ReturnTo{qex.5}{\hbox {$\square $}}\endeqEXt
 
\eqEXt\exerSolnHeader{Solutions to Exercises}{ex.6a}{\textbf{Exercise\ 3(a)}}\relax 
 $i^2 = -1$ 
\ReturnTo{qex.6}{\hbox {$\square $}}\endeqEXt
 
\eqEXt\exerSolnHeader{Solutions to Exercises}{ex.6b}{\textbf{Exercise\ 3(b)}}\relax 
 $i^3 = i i^2 = -i$
\ReturnTo{qex.6}{\hbox {$\square $}}\endeqEXt
 
\eqEXt\exerSolnHeader{Solutions to Exercises}{ex.6c}{\textbf{Exercise\ 3(c)}}\relax 
 $z+\bar z=\operatorname{Re} z$
\ReturnTo{qex.6}{\hbox {$\square $}}\endeqEXt
 
